# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-04-19 12:01
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import myprojects.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Images',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, null=True, upload_to=myprojects.models.upload_location, verbose_name='Image')),
            ],
        ),
        migrations.CreateModel(
            name='ShowCase',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=120)),
                ('slug', models.SlugField(unique=True)),
                ('title_image', models.ImageField(blank=True, null=True, upload_to=myprojects.models.upload_location, verbose_name='Title Image')),
                ('description', models.TextField(blank=True)),
                ('language', models.CharField(max_length=16)),
            ],
        ),
        migrations.AddField(
            model_name='images',
            name='case',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='myprojects.ShowCase'),
        ),
    ]
